package com.lzmispt.data.resource.client;

package .tmp;

import com.lzmispt.core.entity.dto.listdeletemodel.ListDeleteModelDTO;
import com.lzmispt.core.entity.dto.querymodel.QueryModelDTO;
import com.lzmispt.data.center.entity.dto.databasestruct.DBTableDTO;
import com.lzmispt.data.center.entity.dto.databasestruct.DataSourceDTO;
import com.lzmispt.data.center.entity.dto.querymodel.DCQueryModelDTO;
import com.lzmispt.data.center.entity.dto.resource.metadata.GetEntityByDataSourceIdDTO;
import com.lzmispt.data.center.entity.dto.standard.codetable.MetadataCommonCodeItemQueryDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.BatchSaveMetadataValueFieldDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.CheckEntityTableNameExistDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.FieldDefaultPropertyDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.GetDirByUseTypeDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.ImportMedataEntityDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.MetadataEntityDataItemDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.MetadataTypeParamDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.SaveMetadataPropertyDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.SaveMetadataValueEntityDTO;
import com.lzmispt.data.center.entity.dto.standard.metadata.SaveMetadataValueEntityFieldDTO;
import com.lzmispt.data.center.entity.dto.standard.rule.ChooseRuleConfigDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.GetDataIdListDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.GetTagDataViewDataIdsQueyDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.MergeTagDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.SaveTabDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.SaveTagDataRelationDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.TagDTO;
import com.lzmispt.data.center.entity.dto.standard.tag.UpdateTagMsg;
import com.lzmispt.data.center.entity.dto.version.SaveVersionContentDTO;
import com.lzmispt.data.center.entity.vo.fieldrelationpage.SystemFieldRelationPageConfigVO;
import com.lzmispt.data.center.entity.vo.resource.datasource.DataSourceVO;
import com.lzmispt.data.center.entity.vo.resource.file.FileInfoTableVO;
import com.lzmispt.data.center.entity.vo.resource.metadata.MetadataEntityBasicInfoVO;
import com.lzmispt.data.center.entity.vo.standard.codetable.MetadataCommonCodeItemVO;
import com.lzmispt.data.center.entity.vo.standard.codetable.MetadataCommonCodeVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.DataItemUsedVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.EntityPublishType;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataClasssVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataDataItemTypeVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataElementConfigVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataEntityDataItemVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataEntityWithElementVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataFieldWithElementVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataItemAndValueVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataItemVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataPropertyVO;
import com.lzmispt.data.center.entity.vo.standard.metadata.MetadataTypeVO;
import com.lzmispt.data.center.entity.vo.standard.rule.RuleConfigVO;
import com.lzmispt.data.center.entity.vo.standard.rule.RuleInstanceVO;
import com.lzmispt.data.center.entity.vo.standard.tag.TagDataRelationVO;
import com.lzmispt.data.center.entity.vo.standard.tag.TagDataViewVO;
import com.lzmispt.data.center.entity.vo.standard.version.VersionContentVO;
import com.lzmispt.data.center.entity.vo.tag.TagVO;
import com.lzmispt.data.resource.entity.dto.datasync.SelectTablesByDataSourceIdDTO;
import com.lzmispt.data.resource.entity.po.metadata.MetadataElementConfigPO;
import com.lzmispt.data.resource.fallback.DataStandardClientFallBack;
import com.lzmispt.dcbase.config.FeignConfig;
import com.lzmispt.framework.entity.entity.ResultEntity;
import io.swagger.annotations.ApiOperation;
import java.util.List;
import java.util.Map;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(value = "mispt-dc-standard", fallback = DataStandardClientFallBack.class, configuration = {FeignConfig.class})
public interface DataStandardClient {
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataEntityDataItemById/{dataItemId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataEntityDataItemVO> getMetadataEntityDataItemById(@PathVariable("dataItemId") Long paramLong, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/updateMetadataEntityDataItem/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<MetadataEntityDataItemVO> updateMetadataEntityDataItem(@RequestBody MetadataEntityDataItemDTO paramMetadataEntityDataItemDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/addMetadataEntityDataItem/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<MetadataEntityDataItemVO> addMetadataEntityDataItem(@RequestBody MetadataEntityDataItemDTO paramMetadataEntityDataItemDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataTypeByDataTypeName/{dataTypeName}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataTypeVO> getMetadataTypeByDataTypeName(@PathVariable("dataTypeName") String paramString1, @PathVariable("platCode") String paramString2, @PathVariable("tokenId") String paramString3);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/batchDeleteMetadataEntityDataItemById/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> deleteMetadataEntityDataItemByIds(@RequestBody List<Long> paramList, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataEntityDataItemByIds/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataEntityDataItemVO>> getMetadataEntityDataItemByIds(@RequestBody List<Long> paramList, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/codeTable/getMetadataCommonCodeById/{codeTableId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataCommonCodeVO> getMetadataCommonCodeById(@PathVariable("codeTableId") Long paramLong, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataTypeList/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<List<MetadataTypeVO>> getMetadataTypeList(@PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataTypeByDbDataTypeName/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<MetadataTypeVO> getMetadataTypeByDbDataTypeName(@RequestBody MetadataTypeParamDTO paramMetadataTypeParamDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/updateMetadataEntityDataItemNotVerify/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<MetadataEntityDataItemVO> updateMetadataEntityDataItemNotVerify(@RequestBody MetadataEntityDataItemDTO paramMetadataEntityDataItemDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/codeTable/getCommonCodeItemsByCodeTableId/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataCommonCodeItemVO>> getCommonCodeItemsByCodeTableId(@RequestBody MetadataCommonCodeItemQueryDTO paramMetadataCommonCodeItemQueryDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/checkDataItemNameIsExist/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> checkDataItemNameIsExist(@RequestBody MetadataEntityDataItemDTO paramMetadataEntityDataItemDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/fileInfoTable/getFileTableByDirId/{directoryId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<FileInfoTableVO> getFileTableByDirId(@PathVariable("directoryId") Long paramLong, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/addMetadataEntityDataItemNotVerify/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<MetadataEntityDataItemVO> addMetadataEntityDataItemNotVerify(@RequestBody MetadataEntityDataItemDTO paramMetadataEntityDataItemDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/addMetadataEntityDataItemDataSync/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<MetadataEntityDataItemVO> addMetadataEntityDataItemDataSync(@RequestBody MetadataEntityDataItemDTO paramMetadataEntityDataItemDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/batchAddMetadataEntityDataItemList/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> batchAddMetadataEntityDataItemList(@RequestBody List<MetadataEntityDataItemDTO> paramList, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataDataItemTypeByCode/{typeCode}/{type}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataDataItemTypeVO> getMetadataDataItemTypeByCode(@PathVariable("typeCode") String paramString1, @PathVariable("type") int paramInt, @PathVariable("platCode") String paramString2, @PathVariable("tokenId") String paramString3);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getDataItemByNameAndTypeName/{itemName}/{typeName}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataEntityDataItemVO> getDataItemByNameAndTypeName(@PathVariable("itemName") String paramString1, @PathVariable("typeName") String paramString2, @PathVariable("platCode") String paramString3, @PathVariable("tokenId") String paramString4);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getDataItemByNameAndType/{itemName}/{dataItemType}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataEntityDataItemVO> getDataItemByNameAndType(@PathVariable("itemName") String paramString1, @PathVariable("dataItemType") String paramString2, @PathVariable("platCode") String paramString3, @PathVariable("tokenId") String paramString4);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/updateInstanceCount/{dataItemId}/{isAdd}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Boolean> updateInstanceCount(@PathVariable("dataItemId") Long paramLong, @PathVariable("isAdd") boolean paramBoolean, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/updateSyncInstanceCount/{dataItemId}/{isAdd}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Boolean> updateSyncInstanceCount(@PathVariable("dataItemId") Long paramLong, @PathVariable("isAdd") boolean paramBoolean, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/updateMetadataEntityDataItemDataRange/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> updateMetadataEntityDataItemDataRange(@RequestBody MetadataEntityDataItemDTO paramMetadataEntityDataItemDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getWorkerIdList/{count}"}, method = {RequestMethod.GET})
  ResultEntity<List<Long>> getWorkerIdList(@PathVariable("count") Integer paramInteger);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataEntityDataItemListByQuery/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataEntityDataItemVO>> getMetadataEntityDataItemListByQuery(@RequestBody List<ListDeleteModelDTO> paramList, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/codeTable/getCommonCodeByName/{codeName}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataCommonCodeVO> getCommonCodeByName(@PathVariable("codeName") String paramString1, @PathVariable("platCode") String paramString2, @PathVariable("tokenId") String paramString3);
  
  @RequestMapping(value = {"/mispt-dc-standard/codeTable/getMetadataCommonCodeByTableCode/{tableCode}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataCommonCodeVO> getMetadataCommonCodeByTableCode(@PathVariable("tableCode") String paramString1, @PathVariable("platCode") String paramString2, @PathVariable("tokenId") String paramString3);
  
  @RequestMapping(value = {"/mispt-dc-standard/ruleConfig/saveRuleInstance/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> saveRuleInstance(@RequestBody ChooseRuleConfigDTO paramChooseRuleConfigDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/ruleConfig/getRuleConfigNames/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<String>> getRuleConfigNames(@RequestBody List<Long> paramList, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/ruleConfig/getAllRuleConfigNameAndScope/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<List<RuleConfigVO>> getAllRuleConfigNameAndScope(@PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/ruleConfig/deleteRuleInstanceByFieldId/{fieldId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Boolean> deleteRuleInstanceByFieldId(@PathVariable("fieldId") Long paramLong, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/ruleConfig/getRuleInstanceByFieldId/{fieldId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<List<RuleInstanceVO>> getRuleInstanceByFieldId(@PathVariable Long paramLong, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/ruleConfig/getRuleConfigsByListCondition/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<RuleConfigVO>> getRuleConfigsByListCondition(@RequestBody ListDeleteModelDTO paramListDeleteModelDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataEntityDataItemByDataItemCode/{dataItemCode}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataEntityDataItemVO> getMetadataEntityDataItemByDataItemCode(@PathVariable("dataItemCode") String paramString1, @PathVariable("platCode") String paramString2, @PathVariable("tokenId") String paramString3);
  
  @RequestMapping(value = {"/mispt-dc-standard/codeTable/getMaxLevelByCodeTableId/{codeTableId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Integer> getMaxLevelByCodeTableId(@PathVariable("codeTableId") String paramString1, @PathVariable("platCode") String paramString2, @PathVariable("tokenId") String paramString3);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataDataItemTypeByCodeList/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataDataItemTypeVO>> getMetadataDataItemTypeByCodeList(@RequestBody List<String> paramList, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/codeTable/getMetadataCommonCodeByIds/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataCommonCodeVO>> getMetadataCommonCodeByIds(@RequestBody List<Long> paramList, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getDataItemCount/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Integer> getDataItemCount(@PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/dataSource/getDataSourceInfoDoNotDecryptById/{dataSourceId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<DataSourceVO> getDataSourceInfoDoNotDecryptById(@PathVariable Long paramLong, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/dataSource/getDataSourceInfoDoNotDecryptByIdNotTokenId/{dataSourceId}/{platCode}"}, method = {RequestMethod.GET})
  ResultEntity<DataSourceVO> getDataSourceInfoDoNotDecryptByIdNotTokenId(@PathVariable Long paramLong, @PathVariable String paramString);
  
  @RequestMapping(value = {"/mispt-dc-standard/dataSource//getTablesByDataSourceId/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<DBTableDTO>> getTablesByDataSourceId(@PathVariable String paramString1, @PathVariable String paramString2, @RequestBody SelectTablesByDataSourceIdDTO paramSelectTablesByDataSourceIdDTO);
  
  @RequestMapping(value = {"/mispt-dc-standard/dataSource/getDataBaseNameList/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<String>> getDataBaseNameList(@RequestBody DataSourceDTO paramDataSourceDTO, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/dataSource/getPlaintextDataSourceById/{dataSourceId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<DataSourceVO> getPlaintextDataSourceById(@PathVariable Long paramLong, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/dataSource/getDataSourceListByIds/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<DataSourceVO>> getDataSourceListByIds(@RequestBody List<Long> paramList, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/saveMetadataValueEntityField/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> saveMetadataValueEntityField(@RequestBody SaveMetadataValueEntityFieldDTO paramSaveMetadataValueEntityFieldDTO, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataElementConfigByType/{type}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataElementConfigPO>> getMetadataElementConfigByType(@PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataElementConfigSysByType/{type}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<List<MetadataElementConfigPO>> getMetadataElementConfigSysByType(@PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataValueEntityFieldPropertyList/{directoryId}/{entityId}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataItemVO>> getMetadataValueEntityFieldPropertyList(@PathVariable Long paramLong1, @PathVariable Long paramLong2, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getFieldNameOrderMax/{entityId}/{categoryType}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Integer> getFieldNameOrderMax(@PathVariable Long paramLong, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getFieldsQuery/{entityId}/{directoryId}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<MetadataItemAndValueVO> getMetadataValueEntityField(@RequestBody DCQueryModelDTO paramDCQueryModelDTO, @PathVariable Long paramLong1, @PathVariable Long paramLong2, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getFieldsQueryWithVersionChange/{entityId}/{directoryId}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<MetadataItemAndValueVO> getFieldsQueryWithVersionChange(@RequestBody DCQueryModelDTO paramDCQueryModelDTO, @PathVariable Long paramLong1, @PathVariable Long paramLong2, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/ruleConfig/getRuleConfigByIds/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<RuleConfigVO>> getRuleConfigByIds(@RequestBody List<Long> paramList, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getCommonElementConfig/{categoryCode}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<List<MetadataItemVO>> getCommonElementConfig(@PathVariable String paramString1, @PathVariable String paramString2, @PathVariable String paramString3);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/saveEntity/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<MetadataEntityWithElementVO> saveEntity(@RequestBody SaveMetadataValueEntityDTO paramSaveMetadataValueEntityDTO, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/checkEntityTableNameExist/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> checkEntityTableNameExist(@RequestBody CheckEntityTableNameExistDTO paramCheckEntityTableNameExistDTO, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getEntityWithElementByDirectoryId/{directoryId}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataEntityWithElementVO> getEntityWithElementByDirectoryId(@PathVariable Long paramLong, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getEntityWithElementByDirectoryId/{directoryId}/{versionType}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataEntityWithElementVO> getEntityWithElementByDirectoryId(@PathVariable Long paramLong, @PathVariable Integer paramInteger1, @PathVariable Integer paramInteger2, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/deleteFieldByIds/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> deleteFieldByIds(@RequestBody List<Long> paramList, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getEntityWithElementByEntityId/{entityId}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataEntityWithElementVO> getEntityWithElementByEntityId(@PathVariable Long paramLong, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getEntityWithVersionChangeByEntityId/{entityId}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataEntityWithElementVO> getEntityWithVersionChangeByEntityId(@PathVariable Long paramLong, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/deleteEntityById/{entityId}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Boolean> deleteEntityById(@PathVariable Long paramLong, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getFieldWithElementByIds/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataFieldWithElementVO>> getFieldWithElementByIds(@RequestBody List<Long> paramList, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataClassInfoByCategoryCode/{categoryCode}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<List<MetadataClasssVO>> getMetadataClassInfo(@PathVariable String paramString1, @PathVariable String paramString2, @PathVariable String paramString3);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/saveFields/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataFieldWithElementVO>> saveFields(@RequestBody BatchSaveMetadataValueFieldDTO paramBatchSaveMetadataValueFieldDTO, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/deleteFieldByEntityId/{entityId}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Boolean> deleteFieldByEntityId(@PathVariable Long paramLong, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/tab/getTagDataViewDataIds/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<TagDataViewVO>> getTagDataViewDataIds(@RequestBody GetTagDataViewDataIdsQueyDTO paramGetTagDataViewDataIdsQueyDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/tab/selectTagDataRelationVOByQueryCondition/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<TagDataRelationVO>> selectTagDataRelationVOByQueryCondition(@RequestBody DCQueryModelDTO paramDCQueryModelDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/tab/deleteTagDataRelation/{objId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Boolean> deleteTagDataRelation(@PathVariable("objId") Long paramLong, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/tab/saveTab/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<TagVO> saveTab(@RequestBody SaveTabDTO paramSaveTabDTO, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getFieldWithElementBySelect/{entityId}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<MetadataItemAndValueVO> getFieldWithElementBySelect(@RequestBody ListDeleteModelDTO paramListDeleteModelDTO, @PathVariable Long paramLong, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @ApiOperation("修改实体资源名称/专题库名称")
  @RequestMapping(value = {"/updateTagDataRelation/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> updateTagDataRelation(@RequestBody UpdateTagMsg paramUpdateTagMsg, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getFieldsByDataItemId/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<DataItemUsedVO>> getFieldsByDataItemId(@RequestBody Map<String, String> paramMap, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getEntityIdsByDirectoryIds/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Map<Long, Long>> getEntityIdsByDirectoryIds(@RequestBody List<Long> paramList, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getEntityWithDirIdByDirectoryIds/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Map<Long, Map>> getEntityWithDirIdByDirectoryIds(@RequestBody List<Long> paramList, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/tab/deleteTagDataRelationByDataId/{dataId}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Boolean> deleteTagDataRelationByDataId(@PathVariable("dataId") String paramString1, @PathVariable("platCode") String paramString2, @PathVariable("tokenId") String paramString3);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getApplyDirectoryIds/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Map<Long, String>> getApplyDirectoryIds(@RequestBody List<String> paramList, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getDirectoryIdsByEntityIds/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Map<Long, Long>> getDirectoryIdsByEntityIds(@RequestBody List<Long> paramList, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/standardEntity/getDirIdByUseType/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<Long>> getDirIdByUseType(@PathVariable String paramString1, @PathVariable String paramString2, @RequestBody GetDirByUseTypeDTO paramGetDirByUseTypeDTO);
  
  @RequestMapping(value = {"/mispt-dc-standard/version/saveVersionDraftContent/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> saveVersionDraftContent(@PathVariable String paramString1, @PathVariable String paramString2, @RequestBody List<SaveVersionContentDTO> paramList);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getFieldDefaultPropertyByBusinessIds/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Map<Long, FieldDefaultPropertyDTO>> getFieldDefaultPropertyByBusinessIds(@RequestBody List<Long> paramList, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getBusinessIdsByDirectoryIds/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Map<Long, Long>> getBusinessIdsByDirectoryIds(@RequestBody List<Long> paramList, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/version/delVersionDraftContent/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> delVersionDraftContent(@PathVariable String paramString1, @PathVariable String paramString2, @RequestBody List<Long> paramList);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/saveDataFieldMetadataProperty/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataPropertyVO>> saveDataFieldMetadataProperty(@RequestBody List<SaveMetadataPropertyDTO> paramList, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataElementConfigList/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataElementConfigVO>> getMetadataElementConfigList(@RequestBody QueryModelDTO paramQueryModelDTO, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadata/getMetadataPropertyByEntityId/{entityId}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataPropertyVO>> getMetadataPropertyByEntityId(@PathVariable String paramString1, @PathVariable String paramString2, @PathVariable String paramString3);
  
  @RequestMapping(value = {"/mispt-dc-standard/codeTable/getCodeTableCount/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Integer> getCodeTableCount(@PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getAllFieldCount/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Integer> getAllFieldCount(@PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getFieldCountByEntityIds/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Integer> getFieldCountByEntityIds(@RequestBody List<Long> paramList, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getAllMetadataItems/{entityId}/{directoryId}/{useType}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<List<MetadataItemVO>> getAllMetadataItems(@PathVariable Long paramLong1, @PathVariable Long paramLong2, @PathVariable Integer paramInteger1, @PathVariable Integer paramInteger2, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/version/getVersionContentVOList/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<VersionContentVO>> getVersionContentVOList(@RequestBody QueryModelDTO paramQueryModelDTO, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/standardEntity/getEntityPublishType/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<EntityPublishType>> getEntityPublishType(@PathVariable String paramString1, @PathVariable String paramString2, @PathVariable Integer paramInteger, @RequestBody List<Long> paramList);
  
  @RequestMapping(value = {"/mispt-dc-standard/standardEntity/getAllowImportDirs/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Map<Long, Long>> getAllowImportDirs(@PathVariable String paramString1, @PathVariable String paramString2, @PathVariable Integer paramInteger, @RequestBody List<Long> paramList);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getFieldsByEntityId/{entityId}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<List<MetadataFieldWithElementVO>> getFieldsByEntityId(@PathVariable Long paramLong, @PathVariable Integer paramInteger, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/importStandardDataEntitiesWithLimitedMetadataProcessing/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<MetadataEntityWithElementVO> importStandardDataEntitiesWithLimitedMetadataProcessing(@RequestBody List<ImportMedataEntityDTO> paramList, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/version/getVersionContentByDataItemIds/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<VersionContentVO>> getVersionContentByDataItemIds(@PathVariable String paramString1, @PathVariable String paramString2, @RequestBody List<Long> paramList);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getEntityBasicInfoListByPlatAndDataSourceId/{dataCategory}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<MetadataEntityBasicInfoVO>> getEntityBasicInfoListByPlatAndDataSourceId(@RequestBody GetEntityByDataSourceIdDTO paramGetEntityByDataSourceIdDTO, @PathVariable Integer paramInteger, @PathVariable String paramString);
  
  @RequestMapping(value = {"/mispt-dc-standard/tab/getDataIdsByTagIds/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<String>> getDataIdsByTagIds(@RequestBody GetDataIdListDTO paramGetDataIdListDTO, @PathVariable("tokenId") String paramString);
  
  @RequestMapping(value = {"/mispt-dc-standard/tab/getTagIds/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<List<String>> getTagIds(@RequestBody TagDTO paramTagDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/tab/getAllTagNames/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Map<Long, String>> getAllTagNames(@PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/tab/getAllTagNames/{getAiTag}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Map<Long, String>> getAllTagNames(@PathVariable("platCode") String paramString1, @PathVariable("getAiTag") Integer paramInteger, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/tab/saveTagDataRelation/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Map<String, Object>> saveTagDataRelation(@RequestBody SaveTagDataRelationDTO paramSaveTagDataRelationDTO, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/metadataEntity/getEntityByEntityCode/{entityCode}/{dataCategory}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<MetadataEntityWithElementVO> getEntityByEntityCode(@PathVariable String paramString1, @PathVariable Integer paramInteger, @PathVariable String paramString2, @PathVariable String paramString3);
  
  @RequestMapping(value = {"/mispt-dc-standard/tab/getTabsByDataId/{dataId}/{useType}/{platCode}/{tokenId}"}, method = {RequestMethod.GET})
  ResultEntity<Map<String, List<String>>> getTabsByDataId(@PathVariable("dataId") String paramString1, @PathVariable("useType") Integer paramInteger, @PathVariable("platCode") String paramString2, @PathVariable("tokenId") String paramString3);
  
  @RequestMapping(value = {"/mispt-dc-standard/tab/mergeTags/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Boolean> mergeTags(@RequestBody MergeTagDTO paramMergeTagDTO, @PathVariable String paramString1, @PathVariable String paramString2);
  
  @RequestMapping(value = {"/mispt-dc-standard/fieldPageConfig/getFieldRelationPageConfigByType/{platCode}/{tokenId}"}, method = {RequestMethod.POST})
  ResultEntity<Map<Integer, List<SystemFieldRelationPageConfigVO>>> getFieldRelationPageConfig(@RequestBody List<Integer> paramList, @PathVariable("platCode") String paramString1, @PathVariable("tokenId") String paramString2);
}
